Introduction to Snippet LE (Light Edition)
Top Next

The "Snippet LE (Light Edition) application is a streamlined version of the "Snippet" tool available in Radio-Assist.M

Indeed, it has been developped as a seperate application and then do not have a database. Thus, the user has a function allowing him to access to a folder where his items are stored (folder chosen by the user himself).

However, Functions are still the same (via buttons or Menus).

snippetle us flux rss
"Snippet LE" application


Snippet Light Edition
Previous Top Next

NB : Put your mouse on a function to get the explanation


Snippet definition

In the « Snippet » tool, 2 cut modes are available :

- Removing mode (you select the part to delete).
To do so, use the "opened cissors" icon couper which is used to cut what you have selected between the blue and the yellow.

- Adding mode (you select the part to keep).

To do so, use the "closed cissors" icon cutout which is used to keep what you have selected between the blue and the yellow.

snippetus


Editing in Snippet

- Click on the « Snippet » tab.

- In your sound folder, select the item you want to edit.

- Place the blue and the yellow. Then, you have the possibility to keep the selection or to delete it.

- Once your blue and your yellow are placed approximatively, you can reajust them. To do so, go to the blue or to the yellow and replace them.

- You can also do this operation by using the following buttons :

small blue small yellow

- To know the result before cutting, you can use the following play buttons :

before blue Plays 2 seconds before the start of a cut (before the blue)

after yellow Plays 2 seconds after the end of a cut (after the yellow)

simuler Plays outside the cut (2 seconds before the blue and 2 after the yellow) (F6)

play inside Plays the contents of a cut (2 seconds after the blue and 2 before the yellow) (F7)

NB : A right click on one of these buttons will play the sequence in a loop until the stop button is activated, so cuts can be modified as you go along.

- Once you are satisfied, click on :

couper: To delete the selection

cutout: To keep the selection

- You cut goes to the bin.

chutier

- To do other cuts, start the operation (place the blue, the yellow...).


Raw item

brutbmp A raw item is an original file.


Edited item

montesnippet An edited item is a virtual file.

several types of edited item exist. (depending on the tool that you have used to edit).


Master item

master A master is the transformation of a edited file into a real sound.


Setting the mark in (blue) - (F3)

To set the mark in, represented by the blue and marking the begin of your cut you have to :

- Place the playhead where you want to place the blue.

- Click on the following icon : bleu.

NB : you can also set the blue by using the right click of your mouse or use F3 (shortcut) (see Snippet shortcuts).


Setting the mark out (yellow) - (F4)

To set the mark out, represented by the yellow and marking the end of your cut you have to :

- Place the playhead where you want to place the yellow.

- Click on the following icon : jaune.

NB : you can also set the yellow by using the right click of your mouse or use F4 (shortcut) (see Snippet shortcuts).


Playing 2 seconds before the current cut

To play 2 seconds before the blue, to know if the blue is at the right position, click on the following icon : before blue.


Playing 2 seconds after the current cut

To play 2 seconds after the yellow, to know if the yellow is at the right position, click on the following icon : after yellow.


Simulating a cut (F6)

To simulate a cut, meaning to play the result before cutting what you have selected between the blue and the yellow, click on the following icon : simuler.


Playing the contents of the cut (F7)

To play the contents of the cut (between the blue and the yellow), click on the following icon: play inside

NB : if the cut duration is more than 4 seconds, only 2 seconds after the blue and 2 seconds before the yellow will be played.


Cutting a selection (F5 or Del)

Several ways are available to cut a selection.

Once you have placed the blue and the yellow :

- Click on the « cut » icon couper.

OR

- Do a right click on the wave form and choose the « cut » function.

menuclicdroit

OR

- Press "F5" or "Del" on you keyboard.

The cut is displayed in the bin.


Cutting a selection without putting it in the bin

You can cut a selection without putting it in the bin.

To do so, once you have placed the blue and the yellow :

- Do a right click on the « cut » icon couper.

OR

- Press the "Shift" on your keyboard and at the same time click on the « cut » icon couper.


Cutting outside the selection

Once you have placed the blue and the yellow :

- Click on the « cut outside selection » icon cutout.


Playhead

The playhead is the red vertical line in the middle of the track and which is fixed.
When you want to insert the blue, the yellow, insert a blank or do any action, you have ABSOLUTELY to place the playhead at the chosen place.


The bin

The bin is the cut list. Indeed, each time that you make a cut, this cut disappears from the sound and goes to the bin.

chutier

By doing a right click on a cut, the following menu is displayed :

bin menuus

Play : play the selected cut.

rename : rename the selected cut

Paste : paste the selected cut on your sound, where your playhead is.

Save as a new item : save the selected cut as a master in the sound folder

Delete : delete the cut from the bin.


Playing a cut

To play a cut :

- Go to the bin :

chutier
- Select the cut to play and click on the following button : coupebin.
- You can also do a right click on the cut. The following menu is displayed :

bin menuus

- Click on « Play ».


Renaming a cut

To rename a cut :

- Go to the bin :

chutier

- Select the cut to rename.

- Do a right click on it. The following menu is displayed :

bin menuus

- Choose « rename ». A window is shown to rename the cut.

- Enter the cut name.

renamecutsnippetus

- Click on « OK » or press « Enter » on your keyboard.

Your cut is renamed.


Restoring a cut

To restore a cut :

- On the track, click on the cut mark (brown line).
- The bin selects the cut belonging to the selected cut mark.
- Do a right click on the selected mark, in the bin. The following menu is displayed :

bin menuus

- Choose « Paste ».

The cut is restored.

NB : you can also put the cut back by drag and drop.


Generating a master from Snippet (Ctrl + W)

To generate a master :

- Select the soundbyte to masterize thanks to the blue and the yellow (press Ctrl + A to select the entire sound file).

- Do a right click on it. The following menu is displayed.

menuclic droit snippetus

- Click on « special » and then « Save as a new item ».

menusnippetus2

- Modify the data if needed.

- Save.


Deleting a cut (Del)

To delete a cut :

- In the bin, select the cut to delete.
- Do a right click on it. The following menu is displayed.

bin menuus

- Choose « Delete ».

The cut is deleted.


Straightening a cut

- To Straighten a cut, click on the cut mark (down arrow). This one turns orange.

restaurer son

- Straighten your cut thanks to the following buttons :

small blue to straighten the beginning of the cut (blue)

small yellow to straighten the beginning of the cut (yellow)


Undo (Ctrl + Z)

To undo an action, Click on the following icon : undo

NB : you can undo up to 256 actions before saving.


Redo (Ctrl +Y)

When you undo and you change your mind, you can redo the action by clicking on the following icon : redo.


Juxtaposing several audio items

In snippet, you can juxtapose several audio items on the same track.

- To do so, once you have inserted the first item, replace the playhead where you want to insert the second audio item.
- Then, select the item from your sound folder and drag it down on the track (or double-click on it, or press "Enter" ).

The second audio item is inserted. The color is different.

You can insert as many items as you want.

2sonsus

Attention : you can juxtapose original items brutbmp, master items master but not edited items montesnippet together.


Go to begin (F8)

Go to begin (F8)(F8)
Previous Top Next

To go to the begin of an item, click on the following icon :

aller au debut


Go to end (F9)

To go to the end of an item, click on the following icon :

aller à la fin


Adding a fade point

To add a fade point :

- Do a right click on the spectrum, where you want to add a new fade point.

- The following menu is displayed.

menuclic droit snippetus

- Click on « Add fade point ». The fade point is displayed.


Deleting a fade point

To delete a fade point :

- Do a right click on the fade point to delete.

menu remove fadeus

- Click on "Remove fade point" (this function is only available if you are on a fade point. Otherwise, it is the "add a fade point" which is displayed).

The fade point disappears.

NB : you can not delete the default points (set by Radio-Assist).


Hiding the fade points

To hide fade points, click on the following icon : masquer nivo1

a red cross is displayed on the icon masquer nivo2.

NB : The fade points are not visible but you can still listen to them.


Visualizing the fade points

If you have hidden your fade points and to want them back, click on the following icon : masquer nivo2.

The red cross on the icon disappears masquer nivo1, and your fade points are visible again.


Modifying the global level of the sound

To modify the global level of your sound :

- Click on the red horizontal line (separating your track in 2), a double arrows is displayed.

- Increase or decrease the black line which appears.

- Release the mouse button.

nivo global


Modifying the sound level

To modify a fade point :

- Click on the fade point to move (four arrows are displayed) and drag it to the chosen place.

- Release the mouse button.

nivocarre


Set a marker in Snippet (F1)

To set a marker on your item :

- Place the playhead where you want to insert the marker.
- Click on « Set a marker » poser une marque.

To name a marker :

- Click on the marker to name.

- Do a right click. A menu is displayed.

menu marqueur

- Choose « Rename locator ».

- Enter the marker name.

fenetre marqueur

- Click on « OK » or press "Enter" with you keyboard.


Renaming a marker in Snippet

To rename a marker :

- Click on the marker to rename.

- Do a right click. A menu is displayed.

locator menu us

- Choose « Rename locator ».

- Enter the new name.

rename locatorus

- Click on « OK » or press "Enter" on you keyboard.


Moving from marker to marker (1...9)

To move from marker to marker, you can go straight to specified marker using the number pad, from 1 to 9.

Or, use the arrows below the "set locator" icon to go from marker to another one with no number limitation.

move mark


Deleting a marker

To delete a marker :

- Click on the marker to delete.
- Do a right click. A menu is displayed.

locator menu us

- Choose « delete the locator ».


Copying and pasting a soundbyte (Ctrl + C/Ctrl + V)

To copy and paste a soundbyte :

- Select between the blue bleu and the yellow jaune the part to copy.

- Click on « Copy » (or Ctrl + C) copier.

- Place the playhead where you want to paste the soundbyte.

- Click on « Paste » (or Ctrl + V) coller.


Stretching a selection

The "Stretch" function enables you to stretch the portion of sound you have selected. When you click on "Stretch", the following window appears:

To stretch a selection : :

- Select the part you want to stretch thanks to the blue and the yellow.

- Do a right click. A menu is shown.

menuclic droit snippetus

- Click on « Special » then, click on « stretch ».

- In the stretch window, enter the new duration or modify the percentage (up to 10%).

stretchwindowus

- Click on "Save" small floppy.


Inserting a blank

The "insert blank" function enables you to insert a blank of a predefined length.

To insert a blank :

- place the playhead where you want to insert the blank.

- Do a right click. A menu is shown.

menuclic droit snippetus

- Click on « special » then « Insert blank» and choose the length of you blank.


Crossfade

A crossfade is when you fade out a part of a sound and you fade in another part simultaneously.

The "crossfade" function is used on a cut mark only.

To do a crossfade :

- Click on the cut mark. It turns orange and the "crossfade" function is displayed :

crossfade

- Drag the cursor according to the kind of crossfade you want (light or strong).


Recording on the track

To record in "Snippet":

- Click on « record » record.

- Click on « Pause » pause to stop momentarily the recording.

You can resume the pause where the playhead is or somewhere else. To do so, replace the playhead.

- Once the recording is finished, click on « stop » stop.

A window is displayed to save you recording in your sound folder.

- Fill in the data and save by clicking on the floppy disk icon diskette (or press "Cancel" to start over).

NB : Your recording has the raw status brutbmp.


Flux RSS

The lower part of the "Snippet LE" application displays an RSS flux.

A RSS flux (Really Simple Syndication) is an XML file updated in real time. It gets back automatically either titles or texts from a internet site or a blog.

Then, the RSS flux can be included and displayed as links web pages.

The RSS flux available in "Snippet LE" gives an access to the NETIA website.

snippetle us flux rss3


Absolute time

When the "Absolute time" icon is pressed, the piece does not start at 0, but at the time of the original recording starts. This function is especially useful for simultaneous recordings.

Ex : I have a feed which has been recorded at 20h02 until 21h34.
It means that when I play my feed, my counter will go from 00h00h00 to 01h32h00.
However, I would like to go at 20h15 because there was something interesting at that time.
Thus, when I click on the "absolute time" icon, the counter will start at 20h02 and will end at 21h34.

Moreover, by a double-click on the "current" counter, I can enter the time where I want to go.


"Selected length" counter

The "Selected length" counter gives the duration of a selected sequence (between the blue and the yellow).

selectedlengthus


"Current" counter

The "Current" counter gives the position of the playhead (red line). The playhead can be moved to another position on the spectrum by double-clicking on the counter and entering the exact position required. To validate, press Enter and to cancel, press Esc.

currentus


"Edited length" counter

The "edited length" counter gives the total duration of an edited file. Each time you cut a selection, the duration is refreshed.

editedlengthus


Recent items list

To get the list of the items you have used :

- Go to « Recent items »
- Click on the down arrow. a dropdownlist is displayed containing the last items used.

recentitemsus

If you click on one item of the list, you insert the item on the track, where the playhead is.


Resizing the wave form

Several possibilities are available to resize the wave form.

- Thanks to your keyboard by using the Ctrl + arrow keys.

OR

- Use the 4 arrows available at the left side of your wave form (2 horizontal arrows and 2 vertical arrows).

flèche zoom

OR

- Use the mouse scrub (if you have one).


Saving an edited item (Ctrl + S)

To save an edited item, use the following functions:

small floppy Save : to save edited item. This edited item is inserted in the you sound folder. If modifications are done from an existing edited item, this one is updated and the previous version is replaced by the new one.

new New : to create a new edited.


Snapshot

A right click on the "Save" icon small floppy displays the "Snapshot" function.

The "Snapshot" function is designed to save different versions of the edited item each "x" minutes automatically.

Thus, it is possible to reload an edited version.

To reload a previous version of an edited item :

- Do a right click on the "save" icon small floppy.

The "Load Snapshot save" window is shown.

snapshotus

- Select the version to reload.

- Double-click on it or click on "OK".


Snippet Shortcuts
Previous Top

F1 : Set locators - or - Ctrl + locator number
F3 : Set the blue
F4 : Set the yellow
F5 or Del : Cut the selection
F6 : Play 2 seconds before the blue, 2 seconds after the yellow)
F7 : Play the contents of a cut (2 seconds after the blue and 2 seconds after the yellow)
F8 : Go to start
F9 : Go to end
F10 : Play fast forward
F11 : Play fast backward
Space bar : Play/Stop
Ctrl + A : Select the track
Ctrl + N : New document
Ctrl + Z : Undo
Ctrl + Y : Redo
Ctrl + C : Copy
Ctrl + X : Cut
Ctrl + V : Paste
Ctrl + S : Save
Ctrl + W : Generate a master
Ctrl + left arrow* : Zoom backward
Ctrl + right arrow* : Zoom forward
Page up : Go to blue
Page down : Go to yellow
1…9 : go straight to specified locator using the number pad

NB : "Left arrow" and "right arrow" are keys board.